#********************************************************************
#        _       _         _
#  _ __ | |_  _ | |  __ _ | |__   ___
# | '__|| __|(_)| | / _` || '_ \ / __|
# | |   | |_  _ | || (_| || |_) |\__ \
# |_|    \__|(_)|_| \__,_||_.__/ |___/
#
# http://www.rt-labs.com
# Copyright 2017 rt-labs AB, Sweden.
# See LICENSE file in the project root for full license information.
#*******************************************************************/
cmake_minimum_required (VERSION 3.14)

project (PN_DEV_TEST VERSION 0.0.1)

set(LIBS_INSTALL_PATH ../../profinet_stack/p-net/build/install)
set(PNET_PATH ../../profinet_stack/p-net)

add_executable(pn_dev_test
./app_data.c
./app_gsdml.c
./app_log.c
./app_utils.c
./sampleapp_common.c
./sampleapp_main.c
./main.cpp)

target_include_directories(pn_dev_test PRIVATE
  ./
  ${LIBS_INSTALL_PATH}/include
  ${LIBS_INSTALL_PATH}/include/sys
  ${PNET_PATH}/build/src
  ${PNET_PATH}/src
  ${PNET_PATH}/src/ports/linux
)

target_link_directories(pn_dev_test PUBLIC ${LIBS_INSTALL_PATH}/lib)

target_link_libraries (pn_dev_test PUBLIC profinet osal)